Summary: Complementary and updated manual pages
Name: man-pages-overrides
Version: 5.9.2
Release: 2%{?dist}
# man - GPLv2
License: GPLv2
Group: Documentation
# there is no public download location for this package
Source0: man-pages-overrides-%{version}.tar.gz
Patch1:  464865-mpo-5.7.1-psacct-sa.patch
Patch9:  621926-mpo-5.7.2-samba.patch
Patch12: 731938-mpo-5.8.1-ecryptfs-utils.patch
Patch13: 678326-mpo-5.8.2-ethtool.patch
Patch15: 766784-mpo-5.8.3-ppc64-utils-lsvio.patch
Patch16: 786684-mpo-5.9.1-man-pages-nsswitch.patch
Patch17: 787567-mpo-5.9.1-man-pages-ip.patch
Patch18: 809490-mpo-5.9.1-man-pages-getdents.patch
Patch19: 783739-mpo-5.9.1-man-pages-nscd.patch
Patch20: 621953-mpo-5.9.1-man-pages-readdir.patch
Patch21: 840833-mpo-5.9.1-openssh-scp.patch
Patch22: 782006-mpo-5.9.1-ppc64-utils-vpdupdate.patch
Patch23: 695783-mpo-5.9.2-openssh.patch
Buildroot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildArch: noarch
Requires: man >= 1.6d-2

%description
A collection of manual ("man") pages to complement other packages or update
those contained therein. Always have the latest version of this package
installed.

%prep
%setup -q -n %{name}-%{version}
%patch1 -p1
%patch9 -p1
%patch12 -p1
%patch13 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1
%patch19 -p1
%patch20 -p1
%patch21 -p1
%patch22 -p1
%patch23 -p1

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_mandir}/overrides
mkdir -p $RPM_BUILD_ROOT%{_docdir}
for i in `ls`; do
    if [ -d $i ]
    then
        for j in `ls $i`; do
           if [ -d $i/$j ]
           then
               mkdir -p $RPM_BUILD_ROOT%{_mandir}/overrides/$j
               cp -fr $i/$j/* $RPM_BUILD_ROOT%{_mandir}/overrides/$j
           else
              mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/$i
              cp $i/$j $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/$i
           fi
        done
    fi
done


%clean
rm -rf $RPM_BUILD_ROOT

# clean temporary file before removing files (BZ#769375)
%preun
if [ -f %{_mandir}/overrides/man8/unused-mount.cifs.8.gz ]; then
    mv -f %{_mandir}/overrides/man8/unused-mount.cifs.8.gz %{_mandir}/overrides/man8/mount.cifs.8.gz
fi
# solve problem with samba and samba3x mount.cifs(8) man page (BZ#769375)
%triggerin -- samba3x-client
if [ -f %{_mandir}/overrides/man8/mount.cifs.8.gz ]; then
    mv -f %{_mandir}/overrides/man8/mount.cifs.8.gz %{_mandir}/overrides/man8/unused-mount.cifs.8.gz
fi
# solve problem with samba and samba3x mount.cifs(8) man page (BZ#769375)
%triggerun -- samba3x-client
[ $2 = 0 ] || exit 0
if [ -f %{_mandir}/overrides/man8/unused-mount.cifs.8.gz ]; then
    mv -f %{_mandir}/overrides/man8/unused-mount.cifs.8.gz %{_mandir}/overrides/man8/mount.cifs.8.gz
fi

%files
%defattr(0644,root,root,0755)
%doc %{_docdir}/%{name}-%{version}
%{_mandir}/overrides

%changelog
* Mon Sep 24 2012 Peter Schiffer <pschiffe@redhat.com> 5.9.2-2
- related: #786684
  updated patch for nsswitch.conf(5) man page

* Tue Sep 04 2012 Peter Schiffer <pschiffe@redhat.com> 5.9.2-1
- resolves: #695783
  clarified usage of IPv6 in scp.1, ssh.1, sftp.1 and sshd.8 man pages

* Wed Jul 18 2012 Peter Schiffer <pschiffe@redhat.com> 5.9.1-1
- resolves: #786684
  documented initgroups database and improved documentation of the search
  mechanism in the nsswitch.conf.5 man page
- resolves: #783739
  clarified the nscd.conf.5 man page
- resolves: #782006
  added description of the -a, -s and -v options to the vpdupdate.8 man page
- resolves: #787567
  updated documentation of the connect(2) call in the ip.7 man page
- resolves: #621953
  back-ported readdir.3 man page from RHEL-6
- resolves: #809490
  added warning about 32bit app on 64bit OS to the getdents.2 man page
- resolves: #838395
  fixed description of the -q option in the scp.1 man page
- resolves: #840847
  mpo remove bug tracker
- removed bug fixed in original component: #749214
- removed bug fixed in original component: #760552
- renamed all patches to include bug id

* Thu Jan 05 2012 Peter Schiffer <pschiffe@redhat.com> 5.8.3-2
- related: #769375
  modified %%files section and added %%preun

* Thu Jan 05 2012 Peter Schiffer <pschiffe@redhat.com> 5.8.3-1
- resolves: #766784
  lsvio - man page updated for the options -D and -v
- resolves: #769375
  overriding mount.cifs(8) only if samba3x package is NOT installed

* Wed Dec 07 2011 Peter Schiffer <pschiffe@redhat.com> 5.8.2-1
- resolves: #647113
  Missing man-page for named_sdb
- resolves: #510019
  typo in ja/man8/rpm.8.gz man page
- resolves: #678326
  ethtool man page in RHEL 5.5 and 5.6 references --blink option in SYNOPSIS

* Thu Oct 27 2011 Peter Schiffer <pschiffe@redhat.com> 5.8.1-1
- resolves: #703440
  dig man page - exitcodes not documented
- resolves: #731938
  Man pages for ecryptfs-utils contain invalid link in SEE ALSO section
- Removed bug fixed in original component: #699613
- Removed bug fixed in original component: #699620
- Removed bug fixed in original component: #699621
- Removed bug fixed in original component: #699633
- Removed bug fixed in original component: #699639
- Removed bug fixed in original component: #699641
- Removed bug fixed in original component: #699662
- Removed bug fixed in original component: #699698
- Removed bug fixed in original component: #699701
- Removed bug fixed in original component: #699652

* Tue Jun 14 2011 Ivana Hutarova Varekova <varekova@redhat.com> 0.5.7.3-3
- Related: #671321
  route command option mss sets MTU

* Mon Jun  6 2011 Ivana Hutarova Varekova <varekova@redhat.com> 0.5.7.3-2
- Related: #576795
  KSH default path description is bogus

* Wed May 25 2011 Ivana Hutarova Varekova <varekova@redhat.com> 0.5.7.3-1
- Related: #496036
  add jbigtopnm.1 manual page
- Related: #536899
  fix the origina manual page source
- Related: #576795
  move sh to ksh93
- Resolves: #649048
  Document preferred use of TLS_CACERT instead of TLS_CACERTDIR to specify
  Certificate Authorities

* Thu May  5 2011 Ivana Hutarova Varekova <varekova@redhat.com> 0.5.7.2-1
- Resolves: #621926
  mount.cifs(8) man page missing nounix option

* Thu Apr 27 2011 Ivana Hutarova Varekova <varekova@redhat.com> 0.5.7.1-2
- Related: #496036
  remove script which regenerates manual pages

* Wed Apr 27 2011 Ivana Hutarova Varekova <varekova@redhat.com> 0.5.7.1-1
- Resolves: #448544
  fix a typo in vixie-cron.1 manual page
- Resolves: #464865
  removed reference to nonexisting manual page in sa.8
- Resolves: #496036
  add manual pages pnmtojbig and pcdovtoppm
- Resolves: #536899
  mount man page is missing support for ext4/xfs
- Resolves: #576795
  KSH default path description is bogus
- Resolves: #633696
  fix expected.1 man page typo in formating
- Resolves: #656438
  There is no references for some variables in documentation sysconfig.txt
- Resolves: #658860
  Typo in crond manpage
- Resolves: #671321
  route command option mss sets MTU (route.8 man page)
- Resolves: #698153
  Remove documentation for "order" keyword in /etc/host.conf manpage


* Wed Apr 20 2011 Ivana Hutarova Varekova <varekova@redhat.com> 0.5.7.0-2
- Resolves: #695259
  fix broken dependence

* Mon Mar 10 2011 Ivana Varekova <varekova@redhat.com> 0.5.7.0-1
- made a initial package
